import click

from .database import create as db_create, pwreset as db_pwreset, delete as db_delete


@click.group(short_help='Perform operations on MySQL')
def mysql():
    pass


@mysql.command(short_help='Create a MySQL database for a user')
@click.argument('username')
@click.option('--yes', '-y', is_flag=True, default=False)
def create(username, yes):
    db_create(username, 'mysql', yes)


@mysql.command(short_help='Reset the password of a MySQL user')
@click.argument('username')
@click.option('--yes', '-y', is_flag=True, default=False)
def pwreset(username, yes):
    db_pwreset(username, 'mysql', yes)


@mysql.command(short_help="Delete the database of a MySQL user")
@click.argument('username')
@click.option('--yes', '-y', is_flag=True, default=False)
def delete(username, yes):
    db_delete(username, 'mysql', yes)
